function [ alfa ] = base2interi( x )
% conversione in base 2 di un numero intero
%   INPUT x numero intero positivo
%
%    x = alfa_p*2^p + alfa_(p-1)*2^(p-1)+ .... + alfa_1 *2 + alfa_0
%  OUTPUT alfa vettore che contiene alfa_(p-i+1)
%
%    x = 2*x_1 + alfa_0

% controllo sull'input
if (x < 0)
    error('x deve essere positivo')
end

% algoritmo
i=0;
alfa = zeros(1,100);
while (x~=0) && (i <=100 )
    i = i+1;
    alfa(i) = rem(x,2);
    x = fix(x/2);  % x = (x- alfa(i))/2
end

% controllo sull'output
if (x~=0) % ( i > 100)
    error('rappresentazione troppo lunga')
end    

% rendiamo l'output piu amichevole
alfa = alfa(1:i);
alfa = fliplr(alfa);

end

